/***************************************************************************
 * pixel.h: implementation of Pixel class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef PIXEL_H
#define PIXEL_H

#include "unit.h"

class Cm;
class Inches;

class Pixel : public Unit {
public:
	Pixel(uint pixel, uint dpi) throw(std::exception);
	
	virtual ~Pixel();
	
	virtual Cm toCm() const;
	virtual Inches toInches() const;
	virtual void fromOtherDpi(uint oldDpi) throw(std::exception);
	
	virtual uint value() const;
	
	virtual bool operator>(const Pixel& b) const;
	virtual bool operator<(const Pixel& b) const;
private:
	uint mPixel;
};

#endif
